Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 700 - RealAudio 5.0 (rvplayer) crashes with glibc-2.0.108
Summary: RealAudio 5.0 (rvplayer) crashes with glibc-2.0.108
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: glibc
Version: 1.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-06 06:58 UTC by jehamby
Modified: 2016-11-24 15:57 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-02-16 16:18:00 UTC


Attachments (Terms of Use)

Description jehamby 1999-01-06 06:58:41 UTC
rvplayer crashes with a segmentation fault under RedHat.
Here's one workaround which may prove helpful for running
other Linux binaries which crash under glibc 2.0.108 and for
which source is not available:

* Copy these files from glibc-2.0.7 into /cpt:

ld-2.0.7.so         libc.so.6           libm-2.0.7.so
libresolv.so.2
ld-linux.so.2       libdl-2.0.7.so      libm.so.6
libc-2.0.7.so       libdl.so.2          libresolv-2.0.7.so

* Rename rvplayer to rvplayer.bin and make this shell script
named rvplayer:

#!/bin/sh
LD_LIBRARY_PATH=/cpt:/usr/lib/Real
export LD_LIBRARY_PATH
/usr/bin/rvplayer.bin $*

* Edit rvplayer.bin (with, e.g. emacs) and change the
reference to /lib/ld-linux.so.2 into /cpt/ld-linux.so.2

If you have a better workaround, or ideally, can fix the
compatibility code in glibc-2.0.108, please let me know.

Comment 1 Bill Nottingham 1999-01-06 15:39:59 UTC
FYI, it won't work without patching with most of the sound drivers in
2.2 anyways...

Comment 2 jehamby 1999-01-06 18:37:59 UTC
Yup, that's why I've been using ALSA (http://alsa.jcu.cz/).

Comment 3 Cristian Gafton 1999-02-16 16:18:59 UTC
This is a problem witb the changes in the 2.2 kernel audio drivers,
and Real will have to fix their code.


Note You need to log in before you can comment on or make changes to this bug.